> For the complete documentation index, see [llms.txt](https://docs.terrakube.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terrakube.io/2.20.0/api/methods/personal-access-token-1.md).

# Team API Tokens

This endpoint is used to create Team API Tokens information inside Terrakube.

### Entity fields:

| Path        | Type   | Description                               |
| ----------- | ------ | ----------------------------------------- |
| days        | String | Number of days for the token to be valid  |
| hours       | String | Number of hours the token will be valid   |
| minutes     | String | Number of minutes the token will be valid |
| description | string | Some sample description for the token     |

### Example:

```
{
  "days": "1",
  "hours": "6",
  "minutes"; "30",
  "group": "TERRAKUBE_ADMIN",
  "description": "Sample PAT"
}
```

### Supported Operations

<mark style="color:green;">`POST`</mark> `/access-token/v1/teams/`

#### Request Body

| Name                                          | Type   | Description       |
| --------------------------------------------- | ------ | ----------------- |
| days<mark style="color:red;">\*</mark>        | int    | Number of days    |
| description<mark style="color:red;">\*</mark> | String | Token description |
| group                                         | String | Team name         |

<mark style="color:blue;">`GET`</mark> `/access-token/v1/teams`

Get all the personal access token generated by the user

<mark style="color:red;">`DELETE`</mark> `/access-token/v1/teams/{tokenId}`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terrakube.io/2.20.0/api/methods/personal-access-token-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
